# Interface IJavaArrayType

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, IJavaReferenceType, IJavaType`

public interface IJavaArrayType extends IJavaReferenceType
The type of an array on a Java debug target.

Since:
  2.0
See Also:
  - `IJavaValue`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IJavaType`
`getComponentType()`
Returns the type of the elements in this array.
`IJavaArray`
`newInstance(int size)`
Returns a new instance of an array of this type, with the specified length.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface IJavaReferenceType

`getAllFieldNames, getAvailableStrata, getClassLoaderObject, getClassObject, getDeclaredFieldNames, getDefaultStratum, getField, getGenericSignature, getInstanceCount, getInstances, getSourceName, getSourceNames, getSourcePaths`

### Methods inherited from interface IJavaType

`getName, getSignature`

## Method Details

### newInstance

IJavaArray newInstance(int size) throws org.eclipse.debug.core.DebugException
Returns a new instance of an array of this type, with the specified length.

Parameters:
  `size` - the length of the new array
Returns:
  a new array of the specified length
Throws:
  `org.eclipse.debug.core.DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getComponentType

IJavaType getComponentType() throws org.eclipse.debug.core.DebugException
Returns the type of the elements in this array.

Returns:
  type
Throws:
  `org.eclipse.debug.core.DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The exception's status code contains the underlying exception responsible for the failure.